Bug 89048 - CRASH: Moving to new record in linked main form / subform leads to crash
Summary: CRASH: Moving to new record in linked main form / subform leads to crash
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: All Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.3.7 target:4.4.1
Keywords:
Depends on: 88814
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-02 15:26 UTC by Alex Thurgood
Modified: 2015-02-04 14:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Apple crash trace (112.99 KB, text/plain)
2015-02-02 15:26 UTC, Alex Thurgood
Details
full bt (37.94 KB, text/plain)
2015-02-02 15:49 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2015-02-02 15:26:13 UTC
Created attachment 113053 [details]
Apple crash trace

+++ This bug was initially created as a clone of Bug #88814 +++


Using the TestAddressen.odt file from bug 88814.
In form design mode, adapt the lower grid control to point to your MacAb.odb file, and relevant fields that are bound.
Save the form.
Click on the first record of the upper grid control.
Move down through the records with the arrow key, until you reach the last record. When you move the cursor down again to New record, LO crashes.


Apple trace enclosed.
Comment 1 Alex Thurgood 2015-02-02 15:49:18 UTC
Created attachment 113055 [details]
full bt
Comment 2 Commit Notification 2015-02-03 15:14:12 UTC
Norbert Thiebaud committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90c3e6905daefad3d57c14090cd30a0d280ec989

tdf#89048 Macab initialize record list even for never-match condition.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-02-03 15:23:15 UTC
Norbert Thiebaud committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=954840d55ede990b368c5314bdb876ced56cfbe2&h=libreoffice-4-3

tdf#89048 Macab initialize record list even for never-match condition.

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-02-03 15:23:37 UTC
Norbert Thiebaud committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35892dfbbc1779306e11d2ea87c5aaead43356d2&h=libreoffice-4-4

tdf#89048 Macab initialize record list even for never-match condition.

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Alex Thurgood 2015-02-03 16:03:48 UTC
(In reply to Commit Notification from comment #4)

 
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> http://wiki.documentfoundation.org/Testing_Daily_Builds
> Affected users are encouraged to test the fix and report feedback.

Thanks Norbert, will rebuild master tonight and re-test.
Comment 6 Alex Thurgood 2015-02-04 14:55:20 UTC
Confirming that it works in master.